# ディープリサーチ (/ja/api-reference/v1-endpoint/deep-research-get)

<!-- agent-signals: reading_time_min: 1 · est_tokens: 1164 · updated: 2026-07-30 -->



`GET /deep-research/{id}`

ディープリサーチのステータスと結果を取得する

## OpenAPI

```json
{
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "parameters": [
    {
      "description": "リサーチジョブのID",
      "in": "path",
      "name": "id",
      "required": true,
      "schema": {
        "format": "uuid",
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "data": {
                "properties": {
                  "activities": {
                    "items": {
                      "properties": {
                        "depth": {
                          "type": "integer"
                        },
                        "message": {
                          "type": "string"
                        },
                        "status": {
                          "type": "string"
                        },
                        "timestamp": {
                          "format": "date-time",
                          "type": "string"
                        },
                        "type": {
                          "type": "string"
                        }
                      },
                      "type": "object"
                    },
                    "type": "array"
                  },
                  "currentDepth": {
                    "type": "integer"
                  },
                  "error": {
                    "type": "string"
                  },
                  "expiresAt": {
                    "format": "date-time",
                    "type": "string"
                  },
                  "finalAnalysis": {
                    "type": "string"
                  },
                  "json": {
                    "description": "JSON 形式のときに表示されます",
                    "nullable": true,
                    "type": "object"
                  },
                  "maxDepth": {
                    "type": "integer"
                  },
                  "sources": {
                    "items": {
                      "properties": {
                        "description": {
                          "description": "ページから抽出された説明。文字列または文字列の配列を取り得ます。",
                          "oneOf": [
                            {
                              "type": "string"
                            },
                            {
                              "items": {
                                "type": "string"
                              },
                              "type": "array"
                            }
                          ]
                        },
                        "favicon": {
                          "type": "string"
                        },
                        "title": {
                          "description": "ページから抽出されたタイトル。文字列または文字列の配列です",
                          "oneOf": [
                            {
                              "type": "string"
                            },
                            {
                              "items": {
                                "type": "string"
                              },
                              "type": "array"
                            }
                          ]
                        },
                        "url": {
                          "type": "string"
                        }
                      },
                      "type": "object"
                    },
                    "type": "array"
                  },
                  "status": {
                    "enum": [
                      "processing",
                      "completed",
                      "failed"
                    ],
                    "type": "string"
                  },
                  "totalUrls": {
                    "type": "integer"
                  }
                },
                "type": "object"
              },
              "success": {
                "type": "boolean"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "成功レスポンス"
    },
    "404": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "error": {
                "example": "Research job not found",
                "type": "string"
              },
              "success": {
                "example": false,
                "type": "boolean"
              }
            },
            "type": "object"
          }
        }
      },
      "description": "Research ジョブが見つかりません"
    }
  }
}
```
